<?php

namespace EasyContent\WordPress\Db\Models;

use EasyContent\WordPress\Db\BaseModel;

/**
 * @property integer $id
 * @property string $color
 * @property string $name
 * @property integer $is_core
 */
class WorkflowStage extends BaseModel
{
    const WRITING_STAGE   = 1;
    const PUBLISHED_STAGE = 2;


    public static function getFieldNames()
    {
        return ['id', 'color', 'name', 'is_core'];
    }


    public static function getFilterData()
    {
        $wpdb = static::getWpdb();
        $tableName = static::tableName();
        $articlesTableName = Article::tableName();

        $query = "SELECT `{$tableName}`.`id`, `{$tableName}`.`name`
            FROM `{$tableName}`
            RIGHT JOIN `{$articlesTableName}` ON `{$articlesTableName}`.`current_workflow_stage_id` = `{$tableName}`.`id`
            GROUP BY `{$tableName}`.`id`;";

        $result = $wpdb->get_results( $query, ARRAY_A );

        return null === $result ? [] : $result;
    }


    public static function getPublishedStage()
    {
        return static::getCoreStage( self::PUBLISHED_STAGE );
    }


    public static function getCoreStage($type)
    {
        $wpdb = static::getWpdb();
        $tableName = static::tableName();

        $query = "SELECT * FROM `{$tableName}` WHERE `is_core` = {$type} LIMIT 1;";

        $row = $wpdb->get_row( $query, ARRAY_A );

        return $row ? static::create( $row ) : null;
    }
}
