<?php

namespace EasyContent\WordPress\Forms\Entities;

use EasyContent\WordPress\Plugin;
use Symfony\Component\Validator\Constraints as Assert;
use EasyContent\WordPress\Forms\Constraints;

/**
 * @Constraints\ApiKeysWereChanged
 */
class ApiKeys
{
    /**
     * @Assert\NotNull
     * @Assert\Type(type = "string")
     * @Assert\Length(value = 32)
     * @Assert\Regex(pattern = "/^[A-Za-z0-9_-]+$/")
     */
    protected $public;

    /**
     * @Assert\NotNull
     * @Assert\Type(type = "string")
     * @Assert\Url
     */
    protected $url;


    public function __construct()
    {
        try {
            $settings = Plugin::getInstance()->getSettings();

            $this->setPublic( $settings->publicKey );
            $this->setUrl( Plugin::getInstance()->getRefererString() );
        } catch ( \Exception $e ) { }
    }


    public function getPublic()
    {
        return $this->public;
    }

    public function setPublic($key)
    {
        $this->public = $key;
    }


    public function getUrl()
    {
        return $this->url;
    }

    public function setUrl($url)
    {
        $this->url = $url;
    }
}
