<?php

namespace EasyContent\WordPress\Forms\Entities;

use Symfony\Component\Validator\Constraints as Assert;
use EasyContent\WordPress\Forms\Constraints as AssertApp;

class ArticlesFilter
{
    /**
     * @Assert\Type(type = "string")
     */
    protected $name;

    /**
     * @Assert\Type(type = "int")
     * @AssertApp\WorkflowStageExists
     */
    protected $status;

    /**
     * @Assert\Type(type = "string")
     * @Assert\Choice({"synced", "not_synced"})
     */
    protected $synced;


    public function getName()
    {
        return $this->name;
    }

    public function setName($name)
    {
        $this->name = $name;
    }


    public function getStatus()
    {
        return $this->status;
    }

    public function setStatus($status)
    {
        $this->status = $status;
    }


    public function getSynced()
    {
        return $this->synced;
    }

    public function setSynced($synced)
    {
        $this->synced = $synced;
    }
}
