<?php

namespace EasyContent\WordPress\Forms\Types;

use EasyContent\WordPress\Forms\Entities\ArticlesFilter;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\IntegerType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ArticlesFilterType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->setMethod( 'GET' )
            ->add( 'name', TextType::class )
            ->add( 'status', IntegerType::class )
            ->add( 'synced', TextType::class );
    }


    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefault( 'data_class', ArticlesFilter::class );
    }
}
