<?php

namespace EasyContent\WordPress\Metaboxes;

use EasyContent\WordPress\Db\Models\WorkflowStage;
use EasyContent\WordPress\Post;
use EasyContent\WordPress\View;

class PostSyncMetaBox extends BaseMetaBox
{
    public function __construct()
    {
        $this->id = 'ec-post-synchronization-metabox';
        $this->title = __( 'EasyContent', EASYCONTENT_TXTDOMAIN ) . ' <span class="dashicons dashicons-randomize"></span>';
        $this->screen = ['post', 'page'];
        $this->context = 'side';
        $this->priority = 'high';
        $this->callbackArguments = [
            '__back_compat_meta_box' => true
        ];

        parent::__construct();
    }


    public function render($post, $params)
    {
        try {
            $p = new Post( $post );
            $article = $p->getArticle();

            echo ( new View() )->render( 'admin/metaboxes/post-sync', [
                'post' => $p,
                'stages' => $p->isSynced() ? WorkflowStage::all() : [],
                'currentStage' => $article ? $article->getCurrentWorkflowStage() : null
            ] );
        } catch ( \Exception $e ) {
        }
    }
}
