<?php

namespace EasyContent\WordPress\Rest\Actions;

use EasyContent\WordPress\Post;

class GetArticleDetails extends BaseAction
{
    public function getArgumentsConfig()
    {
        return [
            'post_id' => [
                'type'              => 'integer',
                'required'          => true,
                'sanitize_callback' => 'absint'
            ]
        ];
    }


    public function run(\WP_REST_Request $request)
    {
        try {
            $payload = ( new Post( (int)$request['post_id'] ) )->getFrontendData();

            return null === $payload
                ? new \WP_REST_Response( new \stdClass(), 404 )
                : new \WP_REST_Response( $payload );
        } catch (\Exception $e) {
            return new \WP_Error( $e->getCode(), $e->getMessage() );
        }
    }
}
