<?php

namespace EasyContent\WordPress\Storages;

class StorageManager
{
    protected $_storages = [];


    public function __construct($storages = [])
    {
        $this->_storages = $storages;
    }


    /**
     * @param string $alias
     * @param BaseOptionsStorage $storage
     */
    public function addStorage($alias, BaseOptionsStorage $storage)
    {
        $this->_storages[$alias] = $storage;
    }


    public function getStorage($alias)
    {
        $storage = isset( $this->_storages[$alias] ) ? $this->_storages[$alias] : null;

        if ( ! $storage ) {
            throw new \Exception( __( 'Storage does not exist', EASYCONTENT_TXTDOMAIN ) );
        }

        return $storage;
    }
}
