(function($) {
	$(document).ready(function() {
		var $postCategorySettings = $('#ec-post-category-settings-wrapper');

		$('#ec-post-type').change(function(e) {
			'page' === e.target.value ? $postCategorySettings.hide() : $postCategorySettings.show();
		});



		function getModalParameters(type) {
			var params = {
				autoOpen: false,
				buttons: [
					{
						text: 'Cancel',
						click: function() {
							$(this).dialog('close');
						}
					}
				],
				show: true,
				hide: true,
				minHeight: false,
				draggable: false,
				modal: true,
				resizable: false
			};

			var btn = 'push' === type
				? {
					text: 'Push',
					click: function() {
						$mainForm.append(pushInput);
						$mainForm.submit();
						$(this).dialog('close');
					}
				}
				: {
					text: 'Pull',
					click: function() {
						$mainForm.append(pullInput);
						$mainForm.submit();
						$(this).dialog('close');
					}
				};

			params.buttons.push(btn);

			return params;
		}

		var pushInput = document.createElement('input');
			pushInput.type = 'hidden';
			pushInput.name = 'ec_push_post';
			pushInput.value = '1';

		var pullInput = document.createElement('input');
			pullInput.type = 'hidden';
			pullInput.name = 'ec_pull_post';
			pullInput.value = '1';

		var $mainForm = $('#post'),
			$pushArticleDialog = $('#ec-push-confirmation-modal').dialog(getModalParameters('push')),
			$pullArticleDialog = $('#ec-pull-confirmation-modal').dialog(getModalParameters('pull'));

		$('#ec-push-article-button').click(function(e) {
			$pushArticleDialog.dialog('open');
		});

		$('#ec-pull-article-button').click(function(e) {
			$pullArticleDialog.dialog('open');
		});



		var $wsSelectWrapper = $('#ec-workflow-stage-metabox-input-wrapper'),
			$wsDataWrapper = $('#ec-workflow-stage-metabox-data-wrapper'),
			$wsSelect = $('#ec-workflow-stage-metabox-input'),
			wsSelectPreviousValue = $wsSelect.val();

		$('#ec-edit-workflow-stage-button').click(function(e) {
			$wsDataWrapper.addClass('ec-workflow-stage-metabox-data_hidden');
			$wsSelectWrapper.removeClass('ec-workflow-stage-metabox-wrapper_hidden');

			wsSelectPreviousValue = $wsSelect.val();
		});

		$('#ec-cancel-edit-workflow-stage').click(function(e) {
			$wsSelectWrapper.addClass('ec-workflow-stage-metabox-wrapper_hidden');
			$wsDataWrapper.removeClass('ec-workflow-stage-metabox-data_hidden');

			$wsSelect.val(wsSelectPreviousValue);
		});
	});
})(jQuery);
