<?php
/**
 * @var \EasyContent\WordPress\View $this
 * @var array $stages
 * @var Symfony\Component\Form\FormView $searchFormView
 */
?>
<form method="get" class="ec-import-filter">
    <input type="hidden" name="page" value="easycontent-import">

    <div class="alignleft actions">
        <label for="ec-topic-name" class="screen-reader-text"><?= esc_html__( 'Search by name', EASYCONTENT_TXTDOMAIN ) ?></label>

        <input
            id="ec-topic-name"
            placeholder="<?= esc_attr__( 'Search by name', EASYCONTENT_TXTDOMAIN ) ?>"
            type="search"
            name="<?= esc_attr( $searchFormView['name']->vars['full_name'] ) ?>"
            value="<?= esc_attr( $searchFormView['name']->vars['value'] ) ?>">

        <?php if ( $stages ) : ?>
            <label for="ec-workflow-stage" class="screen-reader-text"><?= esc_html__( 'Status', EASYCONTENT_TXTDOMAIN ) ?></label>
            <select name="<?= esc_attr( $searchFormView['status']->vars['full_name'] ) ?>" id="ec-workflow-stage">
                <option value=""><?= esc_html__( 'All statuses', EASYCONTENT_TXTDOMAIN ) ?></option>

                <?php foreach ( $stages as $stage ) : ?>
                    <option value="<?= esc_attr( $stage['id'] ) ?>" <?php selected( $searchFormView['status']->vars['value'], $stage['id'] ) ?>>
                        <?= esc_html( $stage['name'] ) ?>
                    </option>
                <?php endforeach ?>
            </select>
        <?php endif ?>

        <label for="ec-synchronization-status" class="screen-reader-text"><?= esc_html__( 'Synchronization status', EASYCONTENT_TXTDOMAIN ) ?></label>
        <select name="<?= esc_attr( $searchFormView['synced']->vars['full_name'] ) ?>" id="ec-synchronization-status">
            <option value=""><?= esc_html__( 'All items', EASYCONTENT_TXTDOMAIN ) ?></option>
            <option value="synced" <?php selected( $searchFormView['synced']->vars['value'], 'synced' ) ?>>
                <?= esc_html__( 'Synced', EASYCONTENT_TXTDOMAIN ) ?>
            </option>
            <option value="not_synced" <?php selected( $searchFormView['synced']->vars['value'], 'not_synced' ) ?>>
                <?= esc_html__( 'Not synced', EASYCONTENT_TXTDOMAIN ) ?>
            </option>
        </select>

        <input type="submit" name="filter_action" id="" class="button" value="<?= esc_attr__( 'Filter', EASYCONTENT_TXTDOMAIN ) ?>">
    </div>
</form>
