<?php
/**
 * @var EasyContent\WordPress\View $this
 * @var Symfony\Component\Form\FormView $formView
 */
?>
<div class="wrap">
    <h1>EasyContent</h1>

    <?php $this->renderGlobalNotices() ?>

    <h2><?= esc_html( get_admin_page_title() ) ?></h2>

    <form method="post" novalidate="novalidate">
        <table class="form-table">
            <tbody>
                <tr>
                    <th scope="row">
                        <label for="<?= esc_attr( $formView['enableResizing']->vars['id'] ) ?>">
                            <?= esc_html__( 'Enable resizing', EASYCONTENT_TXTDOMAIN ) ?>
                        </label>
                    </th>
                    <td>
                        <input
                            name="<?= esc_attr( $formView['enableResizing']->vars['full_name'] ) ?>"
                            type="checkbox"
                            id="<?= esc_attr( $formView['enableResizing']->vars['id'] ) ?>"
                            value="<?= esc_attr( $formView['enableResizing']->vars['value'] ) ?>"
                            <?php checked( $formView['enableResizing']->vars['checked'], true ) ?>>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <?= esc_html__( 'Max image dimensions', EASYCONTENT_TXTDOMAIN ) ?>
                    </th>
                    <td>
                        <label for="<?= esc_attr( $formView['maxWidth']->vars['id'] ) ?>">
                            <?= esc_html__( 'Max width', EASYCONTENT_TXTDOMAIN ) ?>
                        </label>
                        <input
                            name="<?= esc_attr( $formView['maxWidth']->vars['full_name'] ) ?>"
                            id="<?= esc_attr( $formView['maxWidth']->vars['id'] ) ?>"
                            type="number"
                            step="1"
                            min="0"
                            value="<?= esc_attr( $formView['maxWidth']->vars['value'] ) ?>"
                            class="small-text">

                        <label for="<?= esc_attr( $formView['maxHeight']->vars['id'] ) ?>">
                            <?= esc_html__( 'Max height', EASYCONTENT_TXTDOMAIN ) ?>
                        </label>
                        <input
                            name="<?= esc_attr( $formView['maxHeight']->vars['full_name'] ) ?>"
                            id="<?= esc_attr( $formView['maxHeight']->vars['id'] ) ?>"
                            type="number"
                            step="1"
                            min="0"
                            value="<?= esc_attr( $formView['maxHeight']->vars['value'] ) ?>"
                            class="small-text">

                        <p class="description">
                            <?= esc_html__( 'Set to zero to prevent resizing in that dimension.', EASYCONTENT_TXTDOMAIN ) ?>
                        </p>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="<?= esc_attr( $formView['jpgCompressionLevel']->vars['id'] ) ?>">
                            <?= esc_html__( 'JPEG compression level', EASYCONTENT_TXTDOMAIN ) ?>
                        </label>
                    </th>
                    <td>
                        <input
                            name="<?= esc_attr( $formView['jpgCompressionLevel']->vars['full_name'] ) ?>"
                            id="<?= esc_attr( $formView['jpgCompressionLevel']->vars['id'] ) ?>"
                            type="number"
                            step="1"
                            min="1"
                            max="100"
                            value="<?= esc_attr( $formView['jpgCompressionLevel']->vars['value'] ) ?>"
                            class="regular-text">

                        <p class="description">
                            <strong>1</strong> = <?= esc_html__( 'low quality (smallest files)', EASYCONTENT_TXTDOMAIN ) ?>
                        </p>
                        <p class="description">
                            <strong>100</strong> = <?= esc_html__( 'best quality (largest files)', EASYCONTENT_TXTDOMAIN ) ?>
                        </p>
                        <p class="description">
                            <?= esc_html__( 'Recommended value', EASYCONTENT_TXTDOMAIN ) ?>: <strong>90</strong>
                        </p>
                    </td>
                </tr>
            </tbody>
        </table>

        <p class="submit">
            <button type="submit" name="action" value="save-changes" id="submit" class="button button-primary">
                <?= esc_html__( 'Save Changes', EASYCONTENT_TXTDOMAIN ) ?>
            </button>
        </p>
    </form>

    <i><?= esc_html__( 'Note that any changes you make will only affect new images uploaded to your site via EasyContent.', EASYCONTENT_TXTDOMAIN ) ?></i>
</div>
